package com.s_cradle.lifeapp;

import com.nttdocomo.ui.*;

/**
 * <p>Title: </p>
 *
 * <p>Description: </p>
 *
 * <p>Copyright: Copyright (c) 2005</p>
 *
 * <p>Company: Sophia Cradle, Inc.</p>
 *
 * @author YOSHIMURA Masaru
 * @version $Id$
 */
public class LifeGameMainCanvas extends LifeGameCanvas{
  public LifeGameMainCanvas(LifeGameApplication appli, LifeGame game) {
    super(appli, game);
    setSoftLabel(Frame.SOFT_KEY_1,"߂");
    setSoftLabel(Frame.SOFT_KEY_2,"I");
  }

  public synchronized void paint(Graphics g) {
    //ʂ̃bND_uobt@OsD
    g.lock();

    //FŉʂhԂD
    g.setColor(g.getColorOfName(g.WHITE));
    g.fillRect(0,0,getWidth(),getHeight());
    //CtQ[̉ʂ`D
    game.paint(g);

    //ʂ̃bNOD
    g.unlock(true);
  }

  public synchronized void next(){
    game.next();
    repaint();
  }

  /**
   * Cxgp̃\bhD
   */
  public void processEvent(int type, int param){
    if(type == Display.KEY_RELEASED_EVENT){
      switch(param){
        case Display.KEY_SOFT1:
          appli.changeState(LifeGameApplication.STATE_TITLE);
          break;
        case Display.KEY_SOFT2:
          appli.terminate();
          break;
      }
    }
  }
}
