package com.s_cradle.lifeapp;

import com.nttdocomo.ui.Panel;
import com.nttdocomo.ui.Frame;
import com.nttdocomo.ui.SoftKeyListener;

/**
 * <p>Title: </p>
 *
 * <p>Description: </p>
 *
 * <p>Copyright: Copyright (c) 2005</p>
 *
 * <p>Company: Sophia Cradle, Inc.</p>
 *
 * @author YOSHIMURA Masaru
 * @version $Id$
 */
public class LifeGamePanel extends Panel  implements SoftKeyListener{
  protected LifeGameApplication appli;
  protected LifeGame game;

  public LifeGamePanel(LifeGameApplication appli_, LifeGame game_) {
    appli = appli_;
    game = game_;

    setSoftLabel(Frame.SOFT_KEY_1,"߂");
    setSoftLabel(Frame.SOFT_KEY_2,"I");
    setSoftKeyListener(this);
  }

  public void softKeyPressed(int softKey){
    return;
  }

  public void softKeyReleased(int softKey){
    switch(softKey){
      case Frame.SOFT_KEY_1:
        appli.changeState(LifeGameApplication.STATE_TITLE);
        break;
      case Frame.SOFT_KEY_2:
        appli.terminate();
        break;
    }
  }
}
